## DMS Foxconn Get Firmware Version request DMS Foxconn Get Firmware Version request |

## Functions

QmiMessageDmsFoxconnGetFirmwareVersionInput * | qmi_message_dms_foxconn_get_firmware_version_input_new ()
QmiMessageDmsFoxconnGetFirmwareVersionInput * | qmi_message_dms_foxconn_get_firmware_version_input_ref ()
void | qmi_message_dms_foxconn_get_firmware_version_input_unref ()
gboolean | qmi_message_dms_foxconn_get_firmware_version_input_get_version_type ()
gboolean | qmi_message_dms_foxconn_get_firmware_version_input_set_version_type ()
QmiMessageDmsFoxconnGetFirmwareVersionOutput * | qmi_message_dms_foxconn_get_firmware_version_output_ref ()
void | qmi_message_dms_foxconn_get_firmware_version_output_unref ()
gboolean | qmi_message_dms_foxconn_get_firmware_version_output_get_result ()
gboolean | qmi_message_dms_foxconn_get_firmware_version_output_get_version ()
void | qmi_client_dms_foxconn_get_firmware_version ()
QmiMessageDmsFoxconnGetFirmwareVersionOutput * | qmi_client_dms_foxconn_get_firmware_version_finish ()

## Types and Values

| QmiMessageDmsFoxconnGetFirmwareVersionInput
| QmiMessageDmsFoxconnGetFirmwareVersionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsFoxconnGetFirmwareVersionInput
        ╰── QmiMessageDmsFoxconnGetFirmwareVersionOutput

## Description

## Functions

### qmi_message_dms_foxconn_get_firmware_version_input_new ()

    QmiMessageDmsFoxconnGetFirmwareVersionInput *
    qmi_message_dms_foxconn_get_firmware_version_input_new
                                   (void);

Allocates a new QmiMessageDmsFoxconnGetFirmwareVersionInput.

#### Returns

the newly created QmiMessageDmsFoxconnGetFirmwareVersionInput. The returned value should be freed with `qmi_message_dms_foxconn_get_firmware_version_input_unref()`.

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_input_ref ()

    QmiMessageDmsFoxconnGetFirmwareVersionInput *
    qmi_message_dms_foxconn_get_firmware_version_input_ref
                                   (QmiMessageDmsFoxconnGetFirmwareVersionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_input_unref ()

    void
    qmi_message_dms_foxconn_get_firmware_version_input_unref
                                   (QmiMessageDmsFoxconnGetFirmwareVersionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionInput. |

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_input_get_version_type ()

    gboolean
    qmi_message_dms_foxconn_get_firmware_version_input_get_version_type
                                   (QmiMessageDmsFoxconnGetFirmwareVersionInput *self,
                                    QmiDmsFoxconnFirmwareVersionType *value_version_type,
                                    GError **error);

Get the 'Version Type' field from `self` .

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionInput. |
value_version_type | a placeholder for the output QmiDmsFoxconnFirmwareVersionType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_input_set_version_type ()

    gboolean
    qmi_message_dms_foxconn_get_firmware_version_input_set_version_type
                                   (QmiMessageDmsFoxconnGetFirmwareVersionInput *self,
                                    QmiDmsFoxconnFirmwareVersionType value_version_type,
                                    GError **error);

Set the 'Version Type' field in the message.

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionInput. |
value_version_type | a QmiDmsFoxconnFirmwareVersionType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_output_ref ()

    QmiMessageDmsFoxconnGetFirmwareVersionOutput *
    qmi_message_dms_foxconn_get_firmware_version_output_ref
                                   (QmiMessageDmsFoxconnGetFirmwareVersionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_output_unref ()

    void
    qmi_message_dms_foxconn_get_firmware_version_output_unref
                                   (QmiMessageDmsFoxconnGetFirmwareVersionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionOutput. |

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_output_get_result ()

    gboolean
    qmi_message_dms_foxconn_get_firmware_version_output_get_result
                                   (QmiMessageDmsFoxconnGetFirmwareVersionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_message_dms_foxconn_get_firmware_version_output_get_version ()

    gboolean
    qmi_message_dms_foxconn_get_firmware_version_output_get_version
                                   (QmiMessageDmsFoxconnGetFirmwareVersionOutput *self,
                                    const gchar **value_version,
                                    GError **error);

Get the 'Version' field from `self` .

#### Parameters

self | a QmiMessageDmsFoxconnGetFirmwareVersionOutput. |
value_version | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_client_dms_foxconn_get_firmware_version ()

    void
    qmi_client_dms_foxconn_get_firmware_version
                                   (QmiClientDms *self,
                                    QmiMessageDmsFoxconnGetFirmwareVersionInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Foxconn Get Firmware Version request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_foxconn_get_firmware_version_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsFoxconnGetFirmwareVersionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_dms_foxconn_get_firmware_version_finish ()

    QmiMessageDmsFoxconnGetFirmwareVersionOutput *
    qmi_client_dms_foxconn_get_firmware_version_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_foxconn_get_firmware_version()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_foxconn_get_firmware_version()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsFoxconnGetFirmwareVersionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_foxconn_get_firmware_version_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageDmsFoxconnGetFirmwareVersionInput

    typedef struct _QmiMessageDmsFoxconnGetFirmwareVersionInput QmiMessageDmsFoxconnGetFirmwareVersionInput;

The QmiMessageDmsFoxconnGetFirmwareVersionInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageDmsFoxconnGetFirmwareVersionOutput

    typedef struct _QmiMessageDmsFoxconnGetFirmwareVersionOutput QmiMessageDmsFoxconnGetFirmwareVersionOutput;

The QmiMessageDmsFoxconnGetFirmwareVersionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26